# Bullet Train Developer Documentation

> Some of the open-source Bullet Train packages are considered pre-release, so please pardon the dust while we work to complete the documentation for certain topics.

## Introduction
 - [What is Bullet Train?](https://bullettrain.co) <i class="ti ti-new-window ml-2"></i>
 - [Getting Started](/docs/getting-started.md)
 - [Upgrades](/docs/upgrades.md)

## General Topics
 - [Domain Modeling](/docs/modeling.md)
 - [Dealing with Indirection](/docs/indirection.md)
 - [Overriding the Framework](/docs/overriding.md)
 - [Tunneling](/docs/tunneling.md)
 - [JavaScript](/docs/javascript.md)
 - [Style Sheets](/docs/stylesheets.md)
 - [Internationalization](/docs/i18n.md)

## Developer Tools
 - [Super Scaffolding](/docs/super-scaffolding.md)
 - [Action Models](/docs/action-models.md)
 - [Database Seeds](/docs/seeds.md)
 - [Test Suite](/docs/testing.md)
 - [Magic Test: Point-and-Click Test Writing](https://github.com/bullet-train-co/magic_test) <i class="ti ti-new-window ml-2"></i>
 - [Application Options](/docs/application-options.md)

## Accounts & Teams
 - [Authentication](/docs/authentication.md)
 - [Teams](/docs/teams.md)
 - [Roles & Permissions](/docs/permissions.md)
 - [Onboarding](/docs/onboarding.md)
 - [Namespacing](/docs/namespacing.md)

## User Interface
 - [Field Partials](/docs/field-partials.md)
 - [Theme Engine](/docs/themes.md)
 - [Nice Partials](https://github.com/bullet-train-co/nice_partials) <i class="ti ti-new-window ml-2"></i>
 - [Showcase](https://github.com/bullet-train-co/showcase) <i class="ti ti-new-window ml-2"></i>

## Billing
 - [Stripe](/docs/billing/stripe.md)
 - [Usage Limits](/docs/billing/usage.md)

## Integration
 - [REST API](/docs/api.md)
 - [Zapier](/docs/zapier.md)
 - [OAuth Providers](/docs/oauth.md)
 - [Outgoing Webhooks](/docs/webhooks/outgoing.md)
 - [Incoming Webhooks](/docs/webhooks/incoming.md)

## Add-Ons
 - [Font Awesome Pro](/docs/font-awesome-pro.md)

## Deployment
 - [Heroku](/docs/heroku.md)
 - [Desktop Applications](/docs/desktop.md)

<hr>

Overwhelmed? [YOLO](https://github.com/bullet-train-co/bullet_train#readme).
